Repeat a string

- « str_pad

- str_replace »

- PHP Manual
- String Functions
- Repeat a string

# str_repeat

(PHP 4, PHP 5, PHP 7, PHP 8)

str_repeat — Repeat a string

### Description

str_repeat(string `$string`, int `$times`): string

Returns `string` repeated `times` times.

### Parameters

`string`

  The string to be repeated.

`times`

  Number of time the `string` string should be repeated.

  `times` has to be greater than or equal to 0. If the `times` is set to 0, the function will return an empty string.

### Return Values

Returns the repeated string.

### Examples

Example #1 str_repeat() example

    <?phpecho str_repeat("-=", 10);?>

The above example will output:

    -=-=-=-=-=-=-=-=-=-=

### See Also

- for
- str_pad() - Pad a string to a certain length with another string
- substr_count() - Count the number of substring occurrences